#!/bin/sh
#
# Simple script to rename a variable or method in *.java or *.c files.
#
# Kees Lemmens
#

if [ $# -lt 3 ]; then
  echo 'Usage :  $0 <oldname> <newname> <sourcefile(s)>'
  exit 1
fi

OLD=$1
shift
NEW=$1
shift

for file in $*
do
   echo "Processing $file ...."
   sed -e "s/$OLD/$NEW/g" < $file > $file.new
   diff $file.new $file  &&
     rm $file.new ||
   {
     mv $file $file.old
     mv $file.new $file
   }
done
